Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.xml.stream
Interface Location

    public interface Location

Provides information on the location of an event.

Version:
  3.8, May 22, 2006
Author:
  Jean-Marie Dautelle

Method Summary
`int` | `getCharacterOffset()` Return the byte or character offset into the input source this location is pointing to.
`int` | `getColumnNumber()` Return the column number where the current event ends, returns -1 if none is available.
`int` | `getLineNumber()` Return the line number where the current event ends, returns -1 if none is available.
`java.lang.String` | `getPublicId()` Returns the public ID of the XML
`java.lang.String` | `getSystemId()` Returns the system ID of the XML

Method Detail

### getLineNumber

    int getLineNumber()

  Return the line number where the current event ends, returns -1 if none is available.

  Returns:
    the current line number

### getColumnNumber

    int getColumnNumber()

  Return the column number where the current event ends, returns -1 if none is available.

  Returns:
    the current column number

### getCharacterOffset

    int getCharacterOffset()

  Return the byte or character offset into the input source this location is pointing to. If the input source is a file or a byte stream then this is the byte offset into that stream, but if the input source is a character media then the offset is the character offset. Returns -1 if there is no offset available.

  Returns:
    the current offset

### getPublicId

    java.lang.String getPublicId()

  Returns the public ID of the XML

  Returns:
    the public ID, or null if not available

### getSystemId

    java.lang.String getSystemId()

  Returns the system ID of the XML

  Returns:
    the system ID, or null if not available

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.